perl-App-DBCritic-0.020-alt1.noarch.rpm


Advertisement

Description

perl-App-DBCritic - Critique a database schema for best practices

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-App-DBCritic
Package version 0.020
Package release alt1
Package architecture noarch
Package type rpm
Installed size 74.67 KB
Download size 74.67 KB
Official Mirror ftp.altlinux.org
From summary: Critique a database schema for best practices

Alternatives

Package Version Architecture Repository
perl-App-DBCritic - - -

Requires

Name Value
/usr/share/perl5 -
perl(Algorithm/Combinatorics.pm) -
perl(Const/Fast.pm) -
perl(DBI.pm) -
perl(Data/Compare.pm) -
perl(Devel/Symdump.pm) -
perl(English.pm) -
perl(List/MoreUtils.pm) -
perl(Modern/Perl.pm) -
perl(Module/Pluggable.pm) -
perl(Moo.pm) -
perl(Moo/Role.pm) -
perl(Scalar/Util.pm) -
perl(Sub/Quote.pm) -
perl(namespace/autoclean.pm) -
perl(overload.pm) -
perl(utf8.pm) -
perl-base >= 1:5.10.0
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(App/DBCritic.pm) = 0.020
perl(App/DBCritic/Loader.pm) = 0.020
perl(App/DBCritic/Policy.pm) = 0.020
perl(App/DBCritic/Policy/BidirectionalRelationship.pm) = 0.020
perl(App/DBCritic/Policy/DuplicateRelationships.pm) = 0.020
perl(App/DBCritic/Policy/NoPrimaryKey.pm) = 0.020
perl(App/DBCritic/Policy/NullableTextColumn.pm) = 0.020
perl(App/DBCritic/PolicyType.pm) = 0.020
perl(App/DBCritic/PolicyType/ResultSet.pm) = 0.020
perl(App/DBCritic/PolicyType/ResultSource.pm) = 0.020
perl(App/DBCritic/PolicyType/Schema.pm) = 0.020
perl(App/DBCritic/Violation.pm) = 0.020
perl-App-DBCritic = 0.020-alt1

Download

Type URL
Binary Package perl-App-DBCritic-0.020-alt1.noarch.rpm
Source Package perl-App-DBCritic-0.020-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-App-DBCritic rpm package:
    # sudo apt-get install perl-App-DBCritic

Files

Path
/usr/share/doc/perl-App-DBCritic-0.020/Changes
/usr/share/doc/perl-App-DBCritic-0.020/LICENSE
/usr/share/doc/perl-App-DBCritic-0.020/README
/usr/share/perl5/App/DBCritic.pm
/usr/share/perl5/App/DBCritic/Loader.pm
/usr/share/perl5/App/DBCritic/Policy.pm
/usr/share/perl5/App/DBCritic/PolicyType.pm
/usr/share/perl5/App/DBCritic/Violation.pm
/usr/share/perl5/App/DBCritic/Policy/BidirectionalRelationship.pm
/usr/share/perl5/App/DBCritic/Policy/DuplicateRelationships.pm
/usr/share/perl5/App/DBCritic/Policy/NoPrimaryKey.pm
/usr/share/perl5/App/DBCritic/Policy/NullableTextColumn.pm
/usr/share/perl5/App/DBCritic/PolicyType/ResultSet.pm
/usr/share/perl5/App/DBCritic/PolicyType/ResultSource.pm
/usr/share/perl5/App/DBCritic/PolicyType/Schema.pm

See Also

Package Description
perl-App-DBCritic-scripts-0.020-alt1.noarch.rpm App-DBCritic scripts
perl-App-DBI-Loader-0.0.2-alt1.noarch.rpm A tiny script to load CSV/TSV contents into a database table via DBI
perl-App-DBI-Loader-scripts-0.0.2-alt1.noarch.rpm App-DBI-Loader scripts
perl-App-DBIUtils-0.001-alt1.noarch.rpm Utilities related to DBI
perl-App-DDFlare-0.08_3-alt1.noarch.rpm Dynamic DNS client for CloudFlare
perl-App-DDFlare-scripts-0.08_3-alt1.noarch.rpm App-DDFlare scripts
perl-App-DDNS-Namecheap-0.014-alt1.noarch.rpm Dynamic DNS update utility for Namecheap registered domains
perl-App-DH-0.004001-alt1.noarch.rpm Deploy your DBIx::Class Schema to DDL/Database via DBIx::Class::DeploymentHandler
perl-App-DNS-Adblock-0.015-alt1.noarch.rpm A lightweight DNS ad filter
perl-App-DNS-Zonewalk-0.05-alt1.noarch.rpm recursive DNS zone walk
perl-App-DNS-Zonewalk-scripts-0.05-alt1.noarch.rpm App-DNS-Zonewalk scripts
perl-App-DPath-0.10-alt1.noarch.rpm Cmdline tool around Data::DPath
perl-App-DPath-scripts-0.10-alt1.noarch.rpm App-DPath scripts
perl-App-Dapper-0.18-alt1.noarch.rpm A publishing tool for static websites
perl-App-Dapper-scripts-0.18-alt1.noarch.rpm App-Dapper scripts
Advertisement
Advertisement